Bug 9430 - Use DataTables on library transfer limits page
Summary: Use DataTables on library transfer limits page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 18965
  Show dependency treegraph
 
Reported: 2013-01-18 19:42 UTC by Owen Leonard
Modified: 2017-07-21 09:20 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9430 - Use DataTables on library transfer limits page (3.77 KB, patch)
2013-01-18 20:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9430 - Use DataTables on library transfer limits page (3.90 KB, patch)
2013-01-22 15:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9430 - Use DataTables on library transfer limits page (3.90 KB, patch)
2013-01-28 08:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9430 [Revised] Use DataTables on library transfer limits page (3.81 KB, patch)
2013-02-26 15:34 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9430 [Revised] Use DataTables on library transfer limits page (3.88 KB, patch)
2013-02-27 23:20 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9430 [Revised] Use DataTables on library transfer limits page (4.19 KB, patch)
2013-03-05 09:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-18 19:42:31 UTC
The library transfer limits page uses the old tablesorter plugin. It should be replaced with the DataTables plugin.
Comment 1 Owen Leonard 2013-01-18 20:01:41 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-01-22 15:00:44 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-01-28 08:06:08 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-02-26 15:34:27 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2013-02-27 23:20:51 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2013-03-05 08:59:47 UTC
QA comment:

This patch replaces tablesorter with datatable on the branch transfer limits page.
A little ergonomic issue: the table in the first tab has not the same width as others (the "min-width: 50%;" is not adequate).

Marked as Passed QA.
Comment 7 Jonathan Druart 2013-03-05 09:00:43 UTC
Created attachment 15880 [details] [review]
Bug 9430 [Revised] Use DataTables on library transfer limits page

Replace the tablesorter plugin with the DataTables plugin on the
library transfer limits page.

Also made minor changes to "check/uncheck all" function to prevent page
from jumping on click, and removed unused function.

To test, open the library transfer limits page (Administration ->
Library transfer limits). Confirm that table sorting works correctly for
all tables.

Test that the "check all/uncheck all" links still work correctly.

Revision corrects template path to datatables assets.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described. No errors.
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: Add the aLengthMenu key for DataTables + delete an unused
div block (used for pager)
Comment 8 Jared Camins-Esakov 2013-03-07 15:50:43 UTC
This patch has been pushed to master.